> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get DRC-20 token balances and holdings for a specific Dogecoin address with token details and amounts.

# DRC20 by Address



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /addresses/{address}/drc20
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /addresses/{address}/drc20:
    get:
      tags:
        - Addresses
      summary: DRC20 by Address
      description: |-
        Map of all DRC20 tokens and corresponding total and available balances
        controlled by the specified address or script pubkey.
      operationId: drc20_by_address
      parameters:
        - name: address
          in: path
          description: Dogecoin address or hex encoded script pubkey
          required: true
          schema:
            type: string
          example: DNG3G7pKc1DgciyWs36GFUnVyvJieDhKdb
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedDrc20Quantities'
              example:
                data:
                  ABCD:
                    available: '0.123'
                    total: '312000.000'
                last_updated:
                  block_hash: >-
                    000000009ed3f5385c1807ca04630b9b2273398670726f93282fd41ba88dc6b8
                  block_height: 2413542
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedDrc20Quantities:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: object
          additionalProperties:
            type: string
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````